> ## Documentation Index
> Fetch the complete documentation index at: https://docs.greip.io/llms.txt
> Use this file to discover all available pages before exploring further.

# User Data Deletion

> In some cases, such as data protection regulations, businesses that process personal data are required to delete it upon request.

Using this method, you'll be able to delete all data related to your user in a single request.

export const MCPCallout = () => {
  return <div class="callout my-4 px-5 py-4 overflow-hidden rounded-2xl flex gap-3 border border-[rgba(192, 132, 252, 0.2)] bg-[rgba(192, 132, 252, 0.1)] dark:border-[#c084fc4d] dark:bg-[#c084fc1a] text-[#6005BB] dark:text-[#FFFFFF]" data-callout-type="callout">
      <div class="mt-0.5 w-4" data-component-part="callout-icon">
        <svg class="h-4 w-4 !m-0 shrink-0 bg-[#c084fc] [mask-image:url('https://d3gk2c5xim1je2.cloudfront.net/v7.1.0/duotone/fire.svg')] [-webkit-mask-image:url('https://d3gk2c5xim1je2.cloudfront.net/v7.1.0/duotone/fire.svg')] [mask-repeat:no-repeat] [-webkit-mask-repeat:no-repeat] [mask-position:center] [-webkit-mask-position:center]"></svg>
      </div>
      <div class="text-sm prose dark:prose-invert min-w-0 w-full [&_kbd]:bg-background-light dark:[&_kbd]:bg-background-dark text-[#6005BB] dark:text-[#FFFFFF]" data-component-part="callout-content">
        <span data-as="p">
          Want to skip the docs? Use the{" "}
          <a class="link mint-text-xs border-[#C792FC]" href="/docs-mcp-server">
            <b>MCP Server</b>
          </a>
        </span>
      </div>
    </div>;
};

export const Availability = ({plan, color}) => {
  const colorMap = {
    green: "text-green-700 dark:text-green-400",
    blue: "text-blue-700 dark:text-blue-400",
    purple: "text-purple-700 dark:text-purple-400"
  };
  return <div dir="ltr" data-orientation="horizontal" class="p-4 px-5 mt-0 md:mt-4 flex flex-col sm:flex-row flex-wrap gap-2 relative overflow-hidden rounded-2xl border border-gray-950/10 dark:border-white/10 my-0 bg-gray-50 dark:bg-white/5 dark:codeblock-dark text-gray-950 dark:text-gray-50 codeblock-light text-sm prose prose-gray dark:prose-invert font-semibold no-wrap-words">
      Endpoint availability:{" "}
      <span class={` ${colorMap[color]} flex-1`}>{plan}</span>
      <a class="custom-link text-xs" href="https://greip.io/detailed-pricing">
        Learn more
      </a>
    </div>;
};

<Warning>
  **This action cannot be undone**, all deleted data will be deleted immediately
  from our system.
</Warning>

<Note>
  User data can be deleted 2 minutes after its creation in our system.
</Note>

### Body Parameters

<ParamField body="value" type="string" required>
  The email address, phone number, or user ID (in your system) of the user whose
  data you want to delete.
</ParamField>

<Panel>
  <MCPCallout />

  <Availability plan="Free and above" color="green" />

  <ResponseExample>
    ```json Success theme={null}
    {
      "data": {
        "transaction_data": 25,
        "ips": 4,
        "profanity_data": 3,
        "emails": 1,
        "phone_numbers": 1,
        "ibans": 10
      },
      "status": "success"
    }
    ```

    ```json Error theme={null}
    {
      "status": "error",
      "code": 101,
      "type": "invalid_key",
      "description": "The API Key is missing or invalid."
    }
    ```
  </ResponseExample>
</Panel>

### Response properties

<ResponseField name="data" type="object" required>
  <Expandable title="properties" defaultOpen={true}>
    <ResponseField name="transaction_data" type="integer">
      Number of transactions or transaction related data deleted.
    </ResponseField>

    <ResponseField name="ips" type="integer">
      Number of IP addresses related data deleted.
    </ResponseField>

    <ResponseField name="profanity_data" type="integer">
      Number of user data deleted from the usage of Profanity Detection endpint.
    </ResponseField>

    <ResponseField name="emails" type="integer">
      Number of user data deleted from the Email Scoring endpoint.
    </ResponseField>

    <ResponseField name="phone_numbers" type="integer">
      Number of user data deleted from the Phone Scoring endpoint.
    </ResponseField>

    <ResponseField name="ibans" type="integer">
      Number of user data deleted from the IBAN Lookup endpoint.
    </ResponseField>
  </Expandable>

  <ResponseField name="status" type="string" required>
    The response status.

    Expected values: `success`, or `error`.
  </ResponseField>
</ResponseField>
